ci/ci-pharo-benchmark.sh
changeset 549 8ad6734770cd
child 550 777f3813febc
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/ci/ci-pharo-benchmark.sh	Mon Nov 09 00:38:23 2015 +0000
@@ -0,0 +1,26 @@
+#!/bin/bash
+# 
+# a CI job to run PetitCompiler benchmarks on Pharo
+#
+set -e
+
+if test -x "ci-pharo-common.sh"; then
+    wget -O "ci-pharo-common.sh" https://bitbucket.org/janvrany/stx-goodies-petitparser/raw/tip/ci/ci-pharo-common.sh
+fi
+. ci-pharo-common.sh
+
+ci_download_test_data
+
+ci_pharo_download_pharo
+ci_pharo_download_petitparser
+
+set +e
+./pharo $IMAGE benchmark --tag PetitParser --setup "Author fullName:'Jenkins'" --json -o $PETITCOMPILER_BENCHMARK_REPORT PPCCalipelBenchmark;
+status=$?
+set -e
+
+ci_upload_benchmark_results
+
+exit $status
+
+